Executive Summary

Summary
TitleTor: Multiple vulnerabilities
Informations
NameGLSA-202003-50First vendor Publication2020-03-25
VendorGentooLast vendor Modification2020-03-25
Severity (Vendor) N/ARevisionN/A

Security-Database Scoring CVSS v2

Cvss vector :
Cvss Base ScoreN/AAttack RangeN/A
Cvss Impact ScoreN/AAttack ComplexityN/A
Cvss Expoit ScoreN/AAuthenticationN/A
Calculate full CVSS 2.0 Vectors scores

Detail

Synopsis

Multiple vulnerabilities were found in Tor, the worst of which could allow remote attackers to cause a Denial of Service condition.

Background

Tor is an implementation of second generation Onion Routing, a connection-oriented anonymizing communication service.

Description

Multiple vulnerabilities have been discovered in Tor, and tor. Please review the CVE identifiers referenced below for details.

Impact

A remote attacker could possibly cause a Denial of Service condition.

Workaround

There is no known workaround at this time.

Resolution

All Tor 0.4.1.x users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=net-vpn/tor-0.4.1.9"

All Tor 0.4.2.x users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=net-vpn/tor-0.4.2.7"

References

[ 1 ] CVE-2020-10592 : https://nvd.nist.gov/vuln/detail/CVE-2020-10592
[ 2 ] CVE-2020-10593 : https://nvd.nist.gov/vuln/detail/CVE-2020-10593

Availability

This GLSA and any updates to it are available for viewing at the Gentoo Security Website:

https://security.gentoo.org/glsa/202003-50

Original Source

Url : http://security.gentoo.org/glsa/glsa-202003-50.xml

Alert History

If you want to see full details history, please login or register.
0
DateInformations
2020-03-25 17:18:57
  • First insertion